Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4394 - kappfinder doesn't work
Summary: kappfinder doesn't work
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-06 15:34 UTC by colm.connolly
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-20 19:19:01 UTC


Attachments (Terms of Use)

Description colm.connolly 1999-08-06 15:34:34 UTC
running kappfinder results in the following error
> kappfinder
/usr/bin/kappfinder:
${install_root}$KDEDIR/share/apps/kappfinder: No such file
or directory
Installing to /home/colmconn/.kde
find: apps: No such file or directory
find: apps: No such file or directory

Name        : kdebase
Version     : 1.1.1
Release     : 1

Comment 1 Preston Brown 1999-08-18 18:17:59 UTC
I can't seem to duplicate this.  Did you use the RPMs available from
the updates site?

Comment 2 Preston Brown 1999-08-20 19:19:59 UTC
this will be fixed in the next release.  Thank you for the report.
For now, I suggest editing /usr/bin/kappfinder and changing:

kde_icondir=`echo '${install_root}$KDEDIR/share/icons' | sed -e
's#\$(prefix)#$KDEDIR#'`
  kde_appsdir=`echo '${install_root}$KDEDIR/share/applnk' | sed -e
's#\$(prefix)#$KDEDIR#'`
  kde_minidir=`echo '${install_root}$KDEDIR/share/icons/mini' | sed -e
's#\$(prefix)#$KDEDIR#'`

to:

kde_icondir=`echo '$(prefix)/share/icons' | sed -e
's#\$(prefix)#/usr#'`
  kde_appsdir=`echo '$(prefix)/share/applnk' | sed -e
's#\$(prefix)#/usr#'`
  kde_minidir=`echo '$(prefix)/share/icons/mini' | sed -e
's#\$(prefix)#/usr#'`


Note You need to log in before you can comment on or make changes to this bug.